---
title: CanvasGradient
slug: Web/API/CanvasGradient
tags:
  - API
  - Canvas
  - CanvasGradient
  - Gradients
  - Interface
  - Reference
---
<p>The <code><strong>CanvasGradient</strong></code> interface represents an <a href="https://en.wikipedia.org/wiki/Opaque_data_type">opaque object</a> describing a gradient. It is returned by the methods {{domxref("CanvasRenderingContext2D.createLinearGradient()")}} or {{domxref("CanvasRenderingContext2D.createRadialGradient()")}}.</p>

<p>It can be used as a {{domxref("CanvasRenderingContext2D.fillStyle", "fillStyle")}} or {{domxref("CanvasRenderingContext2D.strokeStyle", "strokeStyle")}}.</p>

<h2 id="Properties">Properties</h2>

<p><em>As an opaque object, there is no exposed property.</em></p>

<h2 id="Methods">Methods</h2>

<dl>
	<dt>{{domxref("CanvasGradient.addColorStop()")}}</dt>
	<dd>Adds a new stop, defined by an <code>offset</code> and a <code>color</code>, to the gradient. If the offset is not between <code>0</code> and <code>1</code>, inclusive, an <code>INDEX_SIZE_ERR</code> is raised; if the color can't be parsed as a CSS {{cssxref("&lt;color&gt;")}}, a <code>SYNTAX_ERR</code> is raised.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', "the-canvas-element.html#canvasgradient", "CanvasGradient")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasGradient")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Creator methods in {{domxref("CanvasRenderingContext2D")}}.</li>
	<li>The {{HTMLElement("canvas")}} element and its associated interface, {{domxref("HTMLCanvasElement")}}.</li>
</ul>

<div>{{APIRef("Canvas API")}}</div>
